
import random
from pyrogram import Client, filters

# Function to generate a random Pyrogram client
def generate_random_client():
    # Randomly select a bot or user
    user_or_bot = random.choice(['user', 'bot'])
    # Randomly select a username or bot token
    if user_or_bot == 'user':
        username = f"user{random.randint(1000, 9999)}"
    else:
        username = f"bot{random.randint(1000, 9999)}"
    
    # Generate a random password for the client
    password = ''.join(random.choices('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789', k=16))
    
    # Create a new Pyrogram client
    client = Client(username, password)
    return client

# Function to send a random message using the generated client
def send_random_message(client):
    # Randomly select a chat to send the message to
    chat_id = random.randint(1000000000, 9999999999)
    
    # Randomly select a message to send
    messages = ['Hello, Pyrogram!', 'This is a test message.', 'Pyrogram is awesome!']
    message = random.choice(messages)
    
    # Send the message using the generated client
    client.send_message(chat_id, message)

# Example usage
client = generate_random_client()
send_random_message(client)


